Home

# Class goog.editor.Table

Class providing high level table editing functions.

Instance Method Summary
| `createEmptyTd() ⇒ ?Element` Creates an empty TD element and fill it with some empty content so it will show up with borders even in IE pre-7 or if empty-cells is set to 'hide'
| `insertCellElement(?Element td, number rowIndex, number colIndex)` Inserts a cell element at the given position. The colIndex is the logical column index, not the position in the dom. This takes into consideration that cells in a given logical row may actually be children of a previous DOM row that have used rowSpan to extend into the row.
| `insertColumn(number= opt_colIndex) ⇒ ?Array` Inserts a new column in the table. The column will be created by inserting new TD elements in each row, or extending the colspan of existing TD elements.
| `insertRow(number= opt_rowIndex) ⇒ ?Element` Inserts a new row in the table. The row will be populated with new cells, and existing rowspanned cells that overlap the new row will be extended.
| `mergeCells(number startRowIndex, number startColIndex, number endRowIndex, number endColIndex) ⇒ boolean` Merges multiple cells into a single cell, and sets the rowSpan and colSpan attributes of the cell to take up the same space as the original cells.
| `refresh()` Walks the dom structure of this object's table element and populates this.rows with goog.editor.TableRow objects. This is done initially to populate the internal data structures, and also after each time the DOM structure is modified. Currently this means that the all existing information is discarded and re-read from the DOM.
| `removeColumn(number colIndex)` Removes a column from the table. This is done by removing cell elements, or shrinking the colspan of elements that span multiple columns.
| `removeRow(number rowIndex)` Removes a row from the table, removing the TR element and decrementing the rowspan of any cells in other rows that overlap the row.
| `splitCell(number rowIndex, number colIndex) ⇒ ?Array` Splits a cell with colspans or rowspans into multiple descrete cells.

Static Method Summary
| `createDomTable(?Document doc, number columns, number rows, ?Object= opt_tableStyle) ⇒ ?Element` Creates a new table element, populated with cells and formatted.
| `getChildCellElements(?Element tr) ⇒ ?Array` Returns all child elements of a TR element that are of type TD or TH.